Eclipse Platform Release 3.7

## org.eclipse.help
Interface IContentExtension

All Superinterfaces:
  IUAElement

    public interface IContentExtension

extends IUAElement

An extension of a document's content.

Since:
  3.3

Field Summary
`static int` `CONTRIBUTION` Extension type for a contribution at an anchor.
`static int` `REPLACEMENT` Extension type for element replacement.

Method Summary
`String` `getContent()` Returns the extension's content path (what to contribute into the document).
`String` `getPath()` Returns the extensions target path (what to extend).
`int` `getType()` Returns the type of extension this is.

Methods inherited from interface org.eclipse.help.IUAElement
`getChildren, isEnabled`

Field Detail

### CONTRIBUTION

    static final int CONTRIBUTION

  Extension type for a contribution at an anchor.

  See Also:
    Constant Field Values

### REPLACEMENT

    static final int REPLACEMENT

  Extension type for element replacement.

  See Also:
    Constant Field Values

Method Detail

### getContent

    String getContent()

  Returns the extension's content path (what to contribute into the document). This is a bundle-relative path with an id, of the form "path/file.ext#elementId".

  Returns:
    path to the extension's content

### getPath

    String getPath()

  Returns the extensions target path (what to extend).

  Returns:
    path to the target element to extend

### getType

    int getType()

  Returns the type of extension this is. Must be one of the static constants defined by this interface.

  Returns:
    the extension type

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.